Name:           ocaml-gettext
Version:        0.3.4
Release:        %mkrel 7
Summary:        OCaml library for i18n
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://ocaml-gettext.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/676/%{name}-%{version}.tar.gz
Requires:       ocaml-camomile-data
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-camomile-devel
BuildRequires:  ocaml-camomile-data
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  chrpath
Requires:       camlp4
Requires:       ocaml-fileutils
Requires:       ocaml-camomile

%description
OCaml-gettext provides support for internationalization of OCaml
programs.

Constraints :

* provides a pure OCaml implementation,
* the API should be as close as possible to GNU gettext,
* provides a way to automatically extract translatable
  strings from OCaml source code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-fileutils-devel
Requires:       ocaml-camomile-devel


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        camomile
Summary:        Parts of %{name} which depend on Camomile
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    camomile
The %{name}-camomile package contains the parts of %{name} which
depend on Camomile.

%package        camomile-devel
Summary:        Development files for %{name}-camomile
Group:          Development/OCaml
Requires:       %{name}-devel = %{version}-%{release}


%description    camomile-devel
The %{name}-camomile-devel package contains libraries and
signature files for developing applications that use
%{name}-camomile.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
  --libdir=%{_libdir} \
  --with-docbook-stylesheet=/usr/share/sgml/docbook/xsl-stylesheets \
  --enable-test
make

%check
pushd test
../_build/bin/test
popd

%install

# make install in the package is screwed up completely.  Install
# by hand instead.
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p %{buildroot}%{_bindir}

# Remove *.o files - these shouldn't be distributed.
find _build -name '*.o' -exec rm {} \;

# Fix META file:
sed -i 's|requires = "gettext.extension"|requires = "camlp4 gettext.extension"|g' _build/lib/gettext/META
sed -i 's|archive(byte) = "pr_gettext.cmo"|archive(syntax,preprocessor) = "pr_gettext.cmo"|g' _build/lib/gettext/META

ocamlfind install gettext _build/lib/gettext/*
ocamlfind install gettext-stub _build/lib/gettext-stub/*
ocamlfind install gettext-camomile _build/lib/gettext-camomile/*
install -m 0755 _build/bin/ocaml-gettext %{buildroot}%{_bindir}
install -m 0755 _build/bin/ocaml-xgettext %{buildroot}%{_bindir}

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so
strip %{buildroot}%{_bindir}/ocaml-gettext


%files
%doc COPYING
%{_libdir}/ocaml/gettext
%{_libdir}/ocaml/gettext-stub
%{_libdir}/ocaml/gettext/*.cmi
%{_libdir}/ocaml/gettext/*.cma
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc README CHANGELOG TODO
%{_libdir}/ocaml/gettext/*.a
%{_libdir}/ocaml/gettext/*.cmxa
%{_libdir}/ocaml/gettext/*.cmx
%{_libdir}/ocaml/gettext-stub/*.a
%{_libdir}/ocaml/gettext-stub/*.cmxa
%{_libdir}/ocaml/gettext-stub/*.cmx
%{_libdir}/ocaml/gettext/*.mli
%{_bindir}/ocaml-gettext
%{_bindir}/ocaml-xgettext

%files camomile
%doc COPYING
%{_libdir}/ocaml/gettext-camomile
%{_libdir}/ocaml/gettext-camomile/*.cmi
%{_libdir}/ocaml/gettext-camomile/*.cma

%files camomile-devel
%doc README
%{_libdir}/ocaml/gettext-camomile/*.a
%{_libdir}/ocaml/gettext-camomile/*.cmxa
%{_libdir}/ocaml/gettext-camomile/*.cmx
%{_libdir}/ocaml/gettext-camomile/*.mli



%changelog

* Sat Apr 13 2013 malo <malo> 0.3.4-7.mga3
+ Revision: 410056
- add missing requires

* Sun Jan 13 2013 umeabot <umeabot> 0.3.4-6.mga3
+ Revision: 361390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 0.3.4-5.mga3
+ Revision: 323488
- rebuild for new ocaml-fileutils
- change BuildRequires to ocaml-compiler

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3.4-3.mga3
+ Revision: 300135
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.3.4-2.mga2
+ Revision: 210177
- missing requires ocaml-camomile and camlp4
- fixing META file
- spec clean-up

* Wed Oct 05 2011 shlomif <shlomif> 0.3.4-1.mga2
+ Revision: 152013
- New version - 0.3.4 - thanks to Malo.

  + fwang <fwang>
    - rebuild for new ocaml

* Tue Mar 15 2011 saispo <saispo> 0.3.3-1.mga1
+ Revision: 72008
- Fix mistake
- Add Epoch on Requires
- New release 0.3.3
- imported package ocaml-gettext

